Bug 683221 - (CVE-2011-1575) CVE-2011-1575 pure-ftpd: command injection during plaintext to TLS session switch
CVE-2011-1575 pure-ftpd: command injection during plaintext to TLS session sw...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110305,reported=20110308,sou...
: Security
Depends On: 683224 683223
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 16:10 EST by Vincent Danen
Modified: 2012-08-16 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: pure-ftpd 1.0.30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-03-08 16:10:25 EST
Pure-FTPd has released version 1.0.30 which fixes a STARTTLS flaw similar to Postfix's CVE-2011-0411 [1].  Upgrading is recommended.

References:

[1] http://www.pureftpd.org/project/pure-ftpd/news
Comment 1 Vincent Danen 2011-03-08 16:11:27 EST
Created pure-ftpd tracking bugs for this issue

Affects: fedora-all [bug 683223]
Affects: epel-all [bug 683224]
Comment 2 Vincent Danen 2011-04-11 18:04:50 EDT
This was assigned the name CVE-2011-1575:

http://permalink.gmane.org/gmane.comp.security.oss.general/4858

Note You need to log in before you can comment on or make changes to this bug.